Package org.apache.felix.http.base.internal.whiteboard

# Class RegistrationFailureException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.servlet.ServletException
org.apache.felix.http.base.internal.whiteboard.RegistrationFailureException

All Implemented Interfaces:
  `Serializable`

public class RegistrationFailureException extends jakarta.servlet.ServletException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode)`
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, String message)`
`RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, Throwable exception)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getErrorCode()`
`WhiteboardServiceInfo<?>`
`getInfo()`

### Methods inherited from class jakarta.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RegistrationFailureException

public RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode)

### RegistrationFailureException

public RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, String message)

### RegistrationFailureException

public RegistrationFailureException(WhiteboardServiceInfo<?> info, int errorCode, Throwable exception)

## Method Details

### getInfo

public WhiteboardServiceInfo<?> getInfo()

### getErrorCode

public int getErrorCode()